cURL
curl --request GET \ --url https://partner-api.getoliver.com/services/core/open_api/v1/staff_tasks/{id} \ --header 'Authorization: Bearer <token>' \ --header 'X-Client-Id: <x-client-id>'
{ "success": true, "data": { "id": "<string>", "task_type": "task", "status": "pending", "title": "<string>", "description": "<string>", "client_id": "<string>", "patient_id": "<string>", "cancellation_allowed": true, "override_completion_action_text": "<string>", "reference_time_at": "2023-11-07T05:31:56Z", "finalized_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "message": "<string>" }
Get a staff task by ID
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The location id of the practice
The ID of the staff task
Staff task found
Show child attributes